import { SimpleLocalIntegration } from '../../core/index.js';
import { TplinkLteConfigFlow } from './tplink_lte.classes.configflow.js';
import { createTplinkLteDiscoveryDescriptor } from './tplink_lte.discovery.js';
import type { ITplinkLteConfig } from './tplink_lte.types.js';
import { tplinkLteDomain, tplinkLteProfile } from './tplink_lte.types.js';

export class TplinkLteIntegration extends SimpleLocalIntegration<ITplinkLteConfig> {
  public readonly domain = tplinkLteDomain;
  public readonly discoveryDescriptor = createTplinkLteDiscoveryDescriptor();
  public readonly configFlow = new TplinkLteConfigFlow();

  constructor() {
    super(tplinkLteProfile);
  }
}

export class HomeAssistantTplinkLteIntegration extends TplinkLteIntegration {}
